# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
# -*- coding: utf-8 -*-
import dataiku
import pandas as pd, numpy as np
from dataiku import pandasutils as pdu
import io

# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
# set folder specifications
folder_id = "Dh3OkheU"
input_files = dataiku.Folder(folder_id)

# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
file = '/Products.txt'

# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
# Function that gets python file-like objects, access .txt files and convert them to dataframes
def convert_files(filepath):
    with input_files.get_download_stream(f"{filepath}") as f:
        text_as_bytes = f.read()
    io_file = io.BytesIO(text_as_bytes)
    f.close()
    dataframe = pd.read_csv(io_file, sep=f"\t", header=None, error_bad_lines=False, low_memory=False)
    final_dataframe = dataframe.rename(columns=dataframe.iloc[0]).drop(dataframe.index[0])
    return(final_dataframe)

# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
# Use function convert_files to convert .txt files to a dataframe
products_df = convert_files(file)
products_df = products_df.groupby(['ApplNo']).nth(0).reset_index()

# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
# Write recipe outputs
FDA_products_input = dataiku.Dataset("FDA_products_input")
FDA_products_input.write_with_schema(products_df)