Zone [Input Files](flow_zone:default)  consists:
![zone input files.png](zV9OYtYWph6E)

 **Managed Folders: **
 The inputs of this solution are contained in two managed folders which are helpful for storing data structures that are unsupported by Dataiku standard flow objects.

 - [Product Drug Names](managed_folder:Dh3OkheU):  Product.txt is imported by default from [Orange Book.](https://www.fda.gov/drugs/drug-approvals-and-databases/drugsfda-data-files) Contains a list of drugs and pharmaceuticals that the U.S. Food and Drug Administration (FDA) has approved as both safe and effective.

 - [Input Files](managed_folder:LbuXL8Es)  : Contains text -  _.txt_ (ASCII format) files imported from [FDA Adverse Event Reporting System (FAERS)](https://fis.fda.gov/extensions/FPD-QDE-FAERS/FPD-QDE-FAERS.html). Follow instructions from [Data Logs](article:3). A metric is set to check that the file contains at least 5 datasets, required to generate the rest of the flow. 
 
** Python Scripts:** 
Get python file-like objects, access .txt files, and convert them to data frames.

- [compute_FDA_products](recipe:compute_FDA_products) Parses FDA standard drug name txt file to a data frame and export a dataset object. 

- [Faers_data_ingestion](recipe:Faers_data_ingestion) Parses the ASCII (.txt) files and convert them to data frames. The process includes file name checks to a prespecified regex condition, mapping of column codes to standard terms, and demographic age standardizations. 

**Distinct Recipes:** 
 
- All distinct recipes in this flow zone keep the values necessary for running the rest of the project and generating statistical analysis. 
 
- [compute_Reaction_faers_distinct](recipe:compute_Reaction_faers_distinct) also prefilters for records that have a valid primary ID (identity key).

 

 
 



