[Data Preparation (Demographics - indication)](flow_zone:hvxs12U) prepares demographics by cleaning, applying feature engineering and joining all imported datasets into the final one for descriptive analysis. 

![Screenshot 2022-09-01 at 14.37.34.png](OhJkPVEuNxV2)


   - [compute_Demographics_faers_clean](recipe:compute_Demographics_faers_clean) Prepares age, country, and date features. Put age values into subcategories and removes invalid country records. Processes the date column to a standard format and extracts date components (year, month).
 
 - [compute_Reaction_faers_info](recipe:compute_Reaction_faers_info) Joins all the datasets imported from FAERS on ```primaryid``` unique key and drug sequence numbers. Computes a feature about the ```seriousness``` of an event (Death, Serious, Non-Serious) based on outcome codes and filters to records where a drug and an adverse event are defined. 
 
 - [Reports_faers_info](dataset:Reports_faers_info) set a metric to count the number of columns and another one to count the number of records.  A check verifies that the number of columns is greater than 11 (used to execute the rest of the flow) and the dataset is nonempty. 
 
 - [compute_Reports_faers_anonymization](recipe:compute_Reports_faers_anonymization) enables the users to anonymize manufacturer (sender) and drug name. The hashlib method that implements a common interface to many different secure hash and message digest algorithms.


