FAERS is a voluntary reporting system, with some inherited disadvantages such as under-reporting and no incidence of Adverse Events. The database contains information voluntarily submitted by healthcare professionals, consumers, lawyers, and manufacturers. Adverse event reports may be duplicated by multiple parties per event and may be more likely to contain incorrect information if that is submitted by a non-medical professional. For example, healthcare professionals may report and send Individual Case Safety Reports (ICSR) to both regulatory systems and, to the specific drug manufacturer for the primary or secondary suspect medication.  This project provides a standardized way to map drug names to the FDA-approved drugs database and a deduplication step to retain the most recent report for each case with the same attributes.

1)  **Drug name mapping:**  [Orange Book](https://www.fda.gov/drugs/drug-approvals-and-databases/drugsfda-data-files) is a list of drugs and pharmaceuticals that the U.S. Food and Drug Administration (FDA) has approved as both safe and effective. A mapping between the FDA-assigned number, to the application, is used to verify and standardize official drug names from the verbatim names reported in the database.

2)  **Reports deduplication:**   Poluzzi et al [1], and Banda et al. [2]_  consider the following cases to be the same:
  - If two or more case reports had the same reporting country, gender, event date, age, adverse events, and drugs prescribed, then they are most likely the same case and need to be deduplicated.



